commit:     e9e60ce4ef3b37a1936951bde912ba53c7565017
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  9 06:25:15 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Nov  9 06:27:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9e60ce4

sys-apps/grep: Bump to version 3.6

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-apps/grep/Manifest        |  1 +
 sys-apps/grep/grep-3.6.ebuild | 53 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/sys-apps/grep/Manifest b/sys-apps/grep/Manifest
index adc41b7c6e7..32c0b8251cd 100644
--- a/sys-apps/grep/Manifest
+++ b/sys-apps/grep/Manifest
@@ -1,3 +1,4 @@
 DIST grep-3.3.tar.xz 1473056 BLAKE2B 
e1592b623d1f32d1b21d127b0d28f8f6501d4b854ff2de810d12d43292c00e6af887b038f22d0c4c45c314b6e9d73a82dec6d737519c674bb139c2ef70511aa0
 SHA512 
e4805dbddf7cd0f0faf412557d408509650c1ccf703bc450f10a3f727c690dbfaa1235aa81939a0e4b7ac6190f88c15ea1fcc562b343d4b4c7550f967aeb15db
 DIST grep-3.4.tar.xz 1555820 BLAKE2B 
4e1924d6d5eb66faca93b405cce9784d726a476f26a384c3b44375cb09f817008aeedaa701a30b6c1f21c030902d603a80ec80105b2d5d76eadf09b910d573a7
 SHA512 
0f1506bd19971fbdcb47a111277ca63e8ad045456f096980852fd0a61c860f29f4b369bbaaa5cbce4b0a81718e3e3274d9a078b491f2109baa9a02ce600ee206
 DIST grep-3.5.tar.xz 1586396 BLAKE2B 
62c98acb29b9998e60b64cacbe82df4f03a8d8a427a060d00283506155e6acadc4d77e8b8c2fa110227715c314ac7cde38a38eff0b92eb0ec793c59ba2562ea5
 SHA512 
8367aa930ecf7fa5c07153666bf7991097648bd7bf4ca672e6b14e0bb806c89991ec55d2880812877761cbde1d33562f22803835d74bfcd293c2246e274306c4
+DIST grep-3.6.tar.xz 1589412 BLAKE2B 
86be3af6718ea3bf29982e1618c0ea9afc135f07e452a7ac8b618b863c0754a979482d4d418e558e703e03a4afcef7818a84ebcbe119aa63cd2892ad09e1a772
 SHA512 
8934544a19ded61344d83ff2cab501e86f17f8ae338892e0c36c2d2d8e63c76817840a0071ef5e3fcbca9115eba8a1aae0e4c46b024e75cd9a2e3bd05f933d90

diff --git a/sys-apps/grep/grep-3.6.ebuild b/sys-apps/grep/grep-3.6.ebuild
new file mode 100644
index 00000000000..63864682919
--- /dev/null
+++ b/sys-apps/grep/grep-3.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="GNU regular expression matcher"
+HOMEPAGE="https://www.gnu.org/software/grep/";
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="nls pcre static"
+
+LIB_DEPEND="pcre? ( >=dev-libs/libpcre-7.8-r1[static-libs(+)] )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+       nls? ( virtual/libintl )
+       virtual/libiconv"
+DEPEND="${RDEPEND}
+       static? ( ${LIB_DEPEND} )"
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+
+src_prepare() {
+       sed -i \
+               -e "s:@SHELL@:${EPREFIX}/bin/sh:g" \
+               -e "s:@grep@:${EPREFIX}/bin/grep:" \
+               src/egrep.sh || die #523898
+
+       default
+}
+
+src_configure() {
+       use static && append-ldflags -static
+       # don't link against libsigsegv even when available
+       export ac_cv_libsigsegv=no
+       # Always use pkg-config to get lib info for pcre.
+       export ac_cv_search_pcre_compile=$(
+               usex pcre "$($(tc-getPKG_CONFIG) --libs $(usex static --static 
'') libpcre)" ''
+       )
+       local myeconfargs=(
+               --bindir="${EPREFIX}"/bin
+               $(use_enable nls)
+               $(use_enable pcre perl-regexp)
+       )
+       econf "${myeconfargs[@]}"
+}

Reply via email to